html
{
    box-sizing: border-box;
    overflow: -moz-scrollbars-vertical;
    overflow-y: scroll;
}

*,
*:before,
*:after
{
    box-sizing: inherit;
}

body
{
    margin:0;
}

body,
.swagger-ui .scheme-container
{
    background: #F7FAFC;
}

.global-server-container,
.swagger-ui .response-content-type,
.url, .title span, .info div:nth-child(3),
.swagger-ui .content-type-wrapper,
.swagger-ui .opblock-summary-description
{
    display: none;
}

.swagger-ui {
    font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji"
}

.swagger-ui .opblock {
    border-radius: 0;
}

.swagger-ui .btn {
    box-shadow: none;
    -webkit-box-shadow: none;
}

.swagger-ui .btn.authorize {
    color: #000;
    border: #183B50 2px solid;
    border-radius: 0;
    background-color: white;
}

.swagger-ui .btn.authorize svg {
    fill: #000;
}

.information-container {
    max-width: none!important;
    margin: 0!important;
    background-color: #363638;
}

.swagger-ui .info {
    background-color: transparent;
    padding: 75px;
    margin: 0;
}

.swagger-ui .scheme-container {
    margin: 0;
    padding: 0;
    box-shadow: none;
    -webkit-box-shadow: none;
}

.swagger-ui .auth-wrapper {
    display: inline;
}

.dark .swagger-ui .auth-wrapper {
    background-color: #0c1d27;
}

.swagger-ui .wrapper {
    padding: 0;
}

.swagger-ui .information-container {
    display: none!important;
}
.swagger-ui .loading-container {
    padding: 0;
}

.swagger-ui .info .title {
    font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
    font-size: 2rem;
    font-weight: 600;
    line-height: 1.125;
    text-align: center
}

.swagger-ui .opblock-tag-section {
    margin-bottom: 25px;
}

.swagger-ui .opblock-tag-section:first-child {
    margin-top: 48px;
}

.swagger-ui .opblock-tag,
.models h4
{
    border: none;
    margin: 0;
    padding: 20px 0 10px 0!important;
    color: #363636!important;
}

.swagger-ui .opblock-tag:hover {
    background: none;
}

.swagger-ui section.models {
    border-radius: 0;
    border: none;
}

.swagger-ui section.models.is-open {
    /*padding: 1.5rem;*/
}

.swagger-ui section.models h4 {
    font-size: 24px;
    border-bottom: none;
    margin: 0;
}

.swagger-ui section.models.is-open h4 {
    font-size: 24px;
    border-bottom: none;
    margin: 0;
}

.swagger-ui section.models h4:hover {
    background: none;
}

.swagger-ui section.models .model-container {
    margin: 20px 0!important;
}

.swagger-ui section.models .model-container:first-of-type {
    margin-top: 0!important;
}

.swagger-ui,
.swagger-ui .opblock-tag,
.swagger-ui .opblock .opblock-summary-method,
.swagger-ui .opblock .opblock-summary-path,
.swagger-ui .opblock .opblock-section-header h4,
.swagger-ui .btn,
.swagger-ui .parameter__name,
.swagger-ui .model-title,
.swagger-ui .opblock .opblock-summary-description,
.swagger-ui .opblock-description-wrapper p,
.swagger-ui table thead tr td,
.swagger-ui table thead tr th,
.swagger-ui .response-col_links,
.swagger-ui .response-col_status,
.swagger-ui section.models h4,
.swagger-ui .download-contents,
.swagger-ui .tab li
{
    font-family: BlinkMacSystemFont, -apple-system, "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue", "Helvetica", "Arial", sans-serif!important;
}

.swagger-ui .opblock .tab-header .tab-item {
    cursor: default;
}

.swagger-ui .opblock .tab-header .tab-item.active h4 span:after {
    display: none;
}

.swagger-ui table thead tr td {
    font-size: 14px;
}

button.btn.try-out__btn {
    background-color: #183B50;
    color: white;
    border-radius: 0;
    border: 1px solid white;
}

.swagger-ui .opblock .opblock-summary-method,
.swagger-ui .response-col_description__inner div.markdown,
.swagger-ui .response-col_description__inner div.renderedMarkdown,
.swagger-ui .download-contents,
.swagger-ui input[type=email],
.swagger-ui input[type=file],
.swagger-ui input[type=password],
.swagger-ui input[type=search],
.swagger-ui input[type=text],
.swagger-ui textarea,
.swagger-ui .model-container,
.swagger-ui .model-box,
.swagger-ui section.models .model-container
{
    border-radius: 0;
}

.swagger-ui .opblock {
    box-shadow: none;
    -webkit-box-shadow: none;
}

.swagger-ui .opblock.opblock-get,
.swagger-ui .opblock.opblock-post,
.swagger-ui .opblock.opblock-put,
.swagger-ui .opblock.opblock-delete,
.swagger-ui .opblock.opblock-patch
{
    background: #ffffff!important;
}

.swagger-ui .response-col_description__inner div.markdown,
.swagger-ui .response-col_description__inner div.renderedMarkdown,
.swagger-ui .opblock-body pre
{
    background-color: #F2F2F2;
    border: 1px solid #c0c0c0;
}

.swagger-ui .opblock.opblock-patch {
    border-color: #9561E2;
}

.swagger-ui .opblock.opblock-patch .opblock-summary-method {
    background: #9561E2;
}

.swagger-ui .opblock.opblock-patch .opblock-summary {
    border-color: #9561E2;
}

.swagger-ui .response-col_description__inner div.markdown p,
.swagger-ui .response-col_description__inner div.renderedMarkdown p,
.swagger-ui .opblock-body pre,
.swagger-ui .opblock-body pre span
{
    color: #3a3a3a!important;
    font-weight: normal!important;
    font-family: monospace;
    font-size: 14px;
}

.swagger-ui .model {
    font-family: monospace;
}

.swagger-ui .opblock .opblock-section-header
{
    box-shadow: none;
    -webkit-box-shadow: none;
}

.swagger-ui .opblock .opblock-section
{
    border-top: #ddd 1px solid;
    border-bottom: #ddd 1px solid;
    background-color: #f7f7f7;
}

.swagger-ui .opblock .opblock-section pre {
    background-color: #fff;
}

.swagger-ui .opblock .opblock-section-header {
    background: none;
}

.swagger-ui .parameters-container .opblock-description-wrapper,
.swagger-ui .table-container
{
    padding-top: 0;
    padding-bottom: 0;
}

.swagger-ui .opblock-description-wrapper {
    margin-bottom: 0;
}

.swagger-ui .opblock-description-wrapper p {
    font-size: 1rem;
    color: #4a4a4a;
    font-weight: 400;
    line-height: 1.5;
}

.swagger-ui .opblock-title {
    font-size: 1rem;
    color: #4a4a4a;
    font-weight: bold;
    line-height: 1.5;
}

.swagger-ui .parameter__name,
.swagger-ui .parameter__type,
.swagger-ui .parameter__in,
.swagger-ui .parameter__deprecated,
.swagger-ui td.parameters-col_description .renderedMarkdown div p
.swagger-ui table thead tr td,
.swagger-ui table thead tr th
{
    font-size: 14px!important;
}

.responses-inner {
    padding-top: 0;
}

.swagger-ui .opblock-tag-section:first-child {
    margin-top: 20px;
}

.swagger-ui .opblock .opblock-section-header h4 {
    font-size: 16px!important;
    font-weight: bold!important;
}

.swagger-ui .response-col_description {
    width: 700px!important;
}

.swagger-ui .tabitem,
.swagger-ui .tab li
{
    margin-top: 0!important;
    font-size: 14px!important;
    min-width: 100px!important;
}

.swagger-ui .opblock-summary {
    position: relative;
}

.swagger-ui .authorization__btn {
    position: absolute;
    top: 10px;
    right: 0;
}

.swagger-ui .responses-inner {
    overflow-x: auto;
}

.swagger-ui .opblock-description-wrapper ul.tab li:first-child {
    padding-right: 15px;
}

.swagger-ui .opblock-description-wrapper ul.tab li:last-child {
    padding-left: 5px;
}

.swagger-ui .topbar {
    background-color: transparent;
}
.swagger-ui .topbar .topbar-wrapper {
    display: inline;
}
.swagger-ui .topbar .topbar-wrapper a {
    display: none;
}
.swagger-ui .topbar .topbar-wrapper img {
    content: '';
}

.swagger-ui .topbar .download-url-wrapper .select-label select {
    border: 1px solid #4a5568;
    width: auto;
}
.swagger-ui .topbar .download-url-wrapper .download-url-input,
.swagger-ui .topbar .download-url-wrapper .download-url-button {
    display: none;
}

.swagger-ui .topbar .download-url-wrapper .select-label span {
    color: #3b4151!important;
}

.servers-title, .servers {
    display: none!important;
}

.swagger-ui .renderedMarkdown p {
    margin: 1em!important;
}

code, pre {
    background-color: white!important;
    color: #3a3a3a !important
}

.response-controls {
    display: none!important;
}

.wrapper section .float-right {
    display: none!important;
}

.dark h3.opblock-tag {
    color: white !important;
}

.dark .opblock-summary {
    background-color: #122c3c !important;
}

.dark .opblock-summary-path {
    color: white !important;
}

.dark .opblock-description-wrapper,
.dark .opblock .opblock-section,
.dark .responses-wrapper,
.dark .execute-wrapper {
    background-color: #0e2330;
    color: white !important;
}

.dark .col-header.response-col_description,
.dark .swagger-ui,
.dark .opblock-description-wrapper p,
.dark .swagger-ui .opblock .opblock-section-header h4
.dark .swagger-ui table thead tr td,
.dark .swagger-ui table thead tr th
.dark .swagger-ui .response-col_description__inner div.markdown p,
.dark .swagger-ui .response-col_description__inner div.renderedMarkdown p,
.dark .swagger-ui .opblock-body pre,
.dark .swagger-ui .opblock-body pre span,
.dark .swagger-ui .opblock .opblock-section-header h4,
.dark .swagger-ui .parameter__name,
.dark .swagger-ui .parameter__type,
.dark .swagger-ui .parameter__in,
.dark .swagger-ui .parameter__deprecated,
.dark .swagger-ui td.parameters-col_description .renderedMarkdown div p .swagger-ui table thead tr td,
.dark .swagger-ui table thead tr th,
.dark .swagger-ui .response-col_status,
.dark .model-title,
.dark .tablinks,
.dark .col_header,
.dark .response-col_links,
.dark .swagger-ui .model,
.dark .swagger-ui table.model tr.description,
.dark .renderedMarkdown,
.dark .prop-type,
.dark .primitive {
    color: #ddd !important;
}

.dark .swagger-ui .response-col_description__inner div.markdown,
.dark .swagger-ui .response-col_description__inner div.renderedMarkdown,
.dark .swagger-ui .opblock-body pre {
    background-color: black!important;
}

input {
    color: black !important;
}

.dark svg.arrow {
    fill: white;
}

.dark .authorization__btn svg {
    fill: white;
}

.dark h4 .models-control span {
    color: white !important;
}

.dark h4 .models-control svg {
    fill: white !important;
}

.dark .model-container {
    background-color: #122c3c !important
}

.dark .required span,
.dark .required::after {
    color: magenta !important;
}